ur_rna.GUITester.ScriptParser

## Class ScriptNode.DumpState

- java.lang.Object
- - ur_rna.GUITester.ScriptParser.ScriptNode.DumpState

- Enclosing class:
    ScriptNode

      private class ScriptNode.DumpState
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `branch_end_line`
    `java.lang.String` | `branch_indent`
    `java.lang.String` | `branch_mid_line`
    `java.lang.String` | `descendant_line`
    `(package private) int` | `level`
    `java.lang.String` | `nonchild_indent`
    `private java.io.PrintStream` | `outputStream`
    `private java.lang.String` | `prefix`
    `(package private) java.lang.StringBuilder` | `sb`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DumpState(java.io.PrintStream outputStream, java.lang.String initialPrefix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNode(java.lang.String description)`
    `void` | `addNode(java.lang.String description, int positionFromEnd)`
    `void` | `enterScope()`
    `void` | `exitScope()`
    `java.lang.String` | `getCurrentNodePrefix(boolean isLastChild)`
    `void` | `print(java.lang.String text)`
    `void` | `println(java.lang.String text)`
    `void` | `println(java.lang.String s1, java.lang.String s2, java.lang.String s3)`
    `private void` | `pushLevel(boolean push)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### branch_end_line

          public java.lang.String branch_end_line

    - #### branch_indent

          public java.lang.String branch_indent

    - #### branch_mid_line

          public java.lang.String branch_mid_line

    - #### descendant_line

          public java.lang.String descendant_line

    - #### level

          int level

    - #### nonchild_indent

          public java.lang.String nonchild_indent

    - #### outputStream

          private final java.io.PrintStream outputStream

    - #### prefix

          private java.lang.String prefix

    - #### sb

          java.lang.StringBuilder sb

  - ### Constructor Detail

    - #### DumpState

          public DumpState(java.io.PrintStream outputStream,
                           java.lang.String initialPrefix)

  - ### Method Detail

    - #### addNode

          public void addNode(java.lang.String description)

    - #### addNode

          public void addNode(java.lang.String description,
                              int positionFromEnd)

    - #### enterScope

          public void enterScope()

    - #### exitScope

          public void exitScope()

    - #### getCurrentNodePrefix

          public java.lang.String getCurrentNodePrefix(boolean isLastChild)

    - #### print

          public void print(java.lang.String text)

    - #### println

          public void println(java.lang.String text)

    - #### println

          public void println(java.lang.String s1,
                              java.lang.String s2,
                              java.lang.String s3)

    - #### pushLevel

          private void pushLevel(boolean push)